
<app-base-layout [enableMobileHeader]="true" title="Notification" [enableDeskTopHeader] ="true" [enableDeskTopHeaderAction]="true"  >
    <div class="container">
      <div class="list-group list-group-flush">
        <div (click)="handleReadNotification(notification)" *ngFor="let notification of notifications" [ngClass]="{'active':notification.status == 0}" class="list-group-item list-group-item-action flex-column align-items-start">
            <div class="row">
                <div class="col">
                    <div class="mb-1 heading">{{notification?.title}}</div>
                    <div class="mb-1 text">{{notification?.body}}</div>

                </div>
                
            </div>
            <div class="text-right">
                <small style="color: #979797;">{{notification?.date | date: 'dd-MM-yyyy'}}</small>
            </div>
        </div>
      </div>
      <div class="mobile-btn-common card" *ngIf="!loading && totalCount > notifications.length">
        <button class="btn" (click)="loadMore()">Load more</button>
      </div>
      <div *ngIf="loading">loading...</div>
    </div>
</app-base-layout>